/*
 * Copyright (C)2005-2014 Haxe Foundation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

// This file is generated, do not edit!
package js.html.svg;

/** The feMerge filter allows filter effects to be applied concurrently instead of sequentially. This is achieved by other filters storing their output via the 
<code><a rel="internal" href="https://developer.mozilla.org/en/SVG/Attribute/result" class="new">result</a></code> attribute and then accessing it in a <code><a rel="custom" href="/api/js/html/svg/FEMergeNodeElement">&lt;feMergeNode&gt;</a></code>
 child.<br><br>
Documentation for this class was provided by <a href="https://developer.mozilla.org/en/SVG/Element/feMerge">MDN</a>. */
@:native("SVGFEMergeElement")
extern class FEMergeElement extends Element
{
}
